Bug 57353 - source code problems
source code problems
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
alpha Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-12-10 13:40 EST by d.binderman
Modified: 2013-07-02 18:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 20:39:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description d.binderman 2001-12-10 13:40:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en-gb]C-CCK-MCD NetscapeOnline.co.uk  (Win98; I)

Description of problem:

In compiling package usermode-1.42-1 from RedHat 7.1,
I got the following message from the compiler


cc: Warning: consolehelper.c, line 82: In this statement, the expression "constructed_argv[cargc+cdiff]=argv[cargc++]" modifies "cargc", 
and fetches its value in a computation that is not used to produce the modified value without an intervening sequence point.  This behavior 
is undefined. (undefvarfetch)
  for (cargc = 1; cargc < argc; constructed_argv[cargc+cdiff] = argv[cargc++]);

maybe something like

  for (cargc = 1; cargc < argc; )
	constructed_argv[ cargc + cdiff] = argv[ cargc];

would be better.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. compiler with Compaq C compiler and flag -w0

Additional info:
Comment 1 Miloslav Trmač 2004-09-29 20:39:54 EDT
Thanks for your report, this is fixed in current version.

Note You need to log in before you can comment on or make changes to this bug.